aboutsummaryrefslogtreecommitdiffstats
path: root/community/ajaxterm/ajaxterm.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/ajaxterm/ajaxterm.initd')
-rw-r--r--community/ajaxterm/ajaxterm.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/community/ajaxterm/ajaxterm.initd b/community/ajaxterm/ajaxterm.initd
new file mode 100644
index 00000000000..79797004e23
--- /dev/null
+++ b/community/ajaxterm/ajaxterm.initd
@@ -0,0 +1,21 @@
+#!/sbin/openrc-run
+
+depend()
+{
+ need net
+}
+
+start()
+{
+ ebegin "Starting AjaxTerm on port $PORT"
+ start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON -- --daemon --port=$PORT --uid=nobody
+ eend $?
+}
+
+stop()
+{
+ ebegin "Stopping AjaxTerm"
+ start-stop-daemon --stop --pidfile $PIDFILE
+ rm -f $PIDFILE
+ eend $?
+}